PopClip extension to open Translatium with the selected text.

Download Extension

The extension requires Translatium v8.6.0 or higher.

To install the extension, you need to have PopClip installed. Then, just download the file, open it and follow the instructions.